WABT(1) | General Commands Manual | WABT(1)

# NAME

`wasm-opcodecnt` —
count opcode usage for instructions

# SYNOPSIS

`wasm-opcodecnt` | [options] file ...

# DESCRIPTION

`wasm-opcodecnt` reads a file in the wasm binary format, and counts opcode usage for instructions.

The options are as follows:

`-v`, `-``-verbose`
  Use multiple times for more info
`-``-help`
  Print a help message
`-o`, `-``-output=FILENAME`
  Output file for the opcode counts, by default use stdout
`-c`, `-``-cutoff=N`
  Cutoff for reporting counts less than N
`-s`, `-``-separator=SEPARATOR`
  Separator text between element and count when reporting counts expected filename argument

# EXAMPLES

Parse binary file test.wasm and write pcode dist file test.dist

`$ wasm-opcodecnt test.wasm -o test.dist`

# SEE ALSO

wasm-interp(1), wasm-objdump(1), wasm-strip(1), wasm-validate(1), wasm2c(1), wasm2wat(1), wast2json(1), wat-desugar(1), wat2wasm(1), spectest-interp(1)

# BUGS

If you find a bug, please report it at
https://github.com/WebAssembly/wabt/issues.

October 7, 2021 | Debian